GECKO_SDK_PATH=h:\Windows\gecko-sdk
!IF "$(CFG)" == ""
CFG=URLLockNative - Win32 Debug
!MESSAGE No configuration specified. Defaulting to URLLockNative - Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "URLLockNative - Win32 Release" && "$(CFG)" != "URLLockNative - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "URLLockNative.mak" CFG="URLLockNative - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "URLLockNative - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE "URLLockNative - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!IF  "$(CFG)" == "URLLockNative - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\URLLockNative.dll" "$(OUTDIR)\URLLockNative.bsc"


CLEAN :
	-@erase "$(INTDIR)\URLLockNative.obj"
	-@erase "$(INTDIR)\URLLockNative.sbr"
	-@erase "$(INTDIR)\URLLockNativeModule.obj"
	-@erase "$(INTDIR)\URLLockNativeModule.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\URLLockNative.bsc"
	-@erase "$(OUTDIR)\URLLockNative.dll"
	-@erase "$(OUTDIR)\URLLockNative.exp"
	-@erase "$(OUTDIR)\URLLockNative.lib"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MD /W3 /O1 /I "$(GECKO_SDK_PATH)\include" /FI"$(GECKO_SDK_PATH)\include\mozilla-config.h" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "XPCOM_GLUE" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\URLLockNative.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\URLLockNative.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\URLLockNative.sbr" \
	"$(INTDIR)\URLLockNativeModule.sbr" 

"$(OUTDIR)\URLLockNative.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib nspr4.lib plds4.lib plc4.lib xpcomglue.lib shlwapi.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\URLLockNative.pdb" /machine:I386 /out:"$(OUTDIR)\URLLockNative.dll" /implib:"$(OUTDIR)\URLLockNative.lib" /libpath:"$(GECKO_SDK_PATH)\lib"   
LINK32_OBJS= \
	"$(INTDIR)\URLLockNative.obj" \
	"$(INTDIR)\URLLockNativeModule.obj" 

"$(OUTDIR)\URLLockNative.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

TargetPath=.\Release\URLLockNative.dll
SOURCE="$(InputPath)"

# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

!ELSEIF  "$(CFG)" == "URLLockNative - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\URLLockNative.dll" "$(OUTDIR)\URLLockNative.bsc"


CLEAN :
	-@erase "$(INTDIR)\URLLockNative.obj"
	-@erase "$(INTDIR)\URLLockNative.sbr"
	-@erase "$(INTDIR)\URLLockNativeModule.obj"
	-@erase "$(INTDIR)\URLLockNativeModule.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(OUTDIR)\URLLockNative.bsc"
	-@erase "$(OUTDIR)\URLLockNative.dll"
	-@erase "$(OUTDIR)\URLLockNative.exp"
	-@erase "$(OUTDIR)\URLLockNative.ilk"
	-@erase "$(OUTDIR)\URLLockNative.lib"
	-@erase "$(OUTDIR)\URLLockNative.pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MDd /W3 /Gm /ZI /Od /I "$(GECKO_SDK_PATH)\include"  /FI"$(GECKO_SDK_PATH)\include\mozilla-config.h" /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "XPCOM_GLUE" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\URLLockNative.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\URLLockNative.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\URLLockNative.sbr" \
	"$(INTDIR)\URLLockNativeModule.sbr" 

"$(OUTDIR)\URLLockNative.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib nspr4.lib plds4.lib plc4.lib xpcomglue.lib shlwapi.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\URLLockNative.pdb" /debug /machine:I386 /out:"$(OUTDIR)\URLLockNative.dll" /implib:"$(OUTDIR)\URLLockNative.lib" /pdbtype:sept /libpath:"$(GECKO_SDK_PATH)\lib"  
LINK32_OBJS= \
	"$(INTDIR)\URLLockNative.obj" \
	"$(INTDIR)\URLLockNativeModule.obj" 

"$(OUTDIR)\URLLockNative.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

TargetPath=.\Debug\URLLockNative.dll
SOURCE="$(InputPath)"

# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

!ENDIF 

NO_EXTERNAL_DEPS=1

!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("URLLockNative.dep")
!INCLUDE "URLLockNative.dep"
!ELSE 
!MESSAGE Warning: cannot find "URLLockNative.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "URLLockNative - Win32 Release" || "$(CFG)" == "URLLockNative - Win32 Debug"
SOURCE=.\URLLockNative.cpp

"$(INTDIR)\URLLockNative.obj"	"$(INTDIR)\URLLockNative.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)

SOURCE=.\URLLockNativeModule.cpp

"$(INTDIR)\URLLockNativeModule.obj"	"$(INTDIR)\URLLockNativeModule.sbr" : $(SOURCE) "$(INTDIR)"

!ENDIF 

